#ifdef VHDL

/*
 * $Id: Vhdl_get_library_work.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::get_library_work"
  std::string Vhdl::get_library_work (uint32_t depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    std::list<std::string>::iterator i   = _list_library_work.begin();
    std::string                 tab = std::string(depth,'\t');
    std::ostringstream          text;

    if (i != _list_library_work.end())
      text << tab                    << std::endl
	   << tab << "library work;" << std::endl
	   << get_list(_list_library_work,depth,";",true);

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return text.str();
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
